Skip to main content
POST
/
addSecretQuestion
/
{customerId}
Create customer address
curl --request POST \
  --url https://gateway.varchev.com/customer/addSecretQuestion/{customerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
[
  {
    "question": "<string>",
    "answer": "<string>"
  }
]
'
{
  "tenantId": "<string>",
  "customerId": "<string>",
  "secretQuestionIds": [
    {
      "secretQuestionId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Path Parameters

customerId
string
required

Customer id

Body

application/json
question
string
answer
string

Response

Add secret question response

tenantId
string
customerId
string
secretQuestionIds
object[]